import request from '@/utils/request'

// 获取运单列表
export function getWaybill(parameter) {
  return request({
    url: '/api/waybill',
    method: 'get',
    params: parameter
  })
}
// 获取运单详情
export function getWaybillDetails(parameter) {
  return request({
    url: '/api/waybill/' + parameter,
    method: 'get',
  })
}

// 添加运单
export function addWaybill(parameter) {
  return request({
    url: '/api/waybill',
    method: 'post',
    data: parameter
  })
}

// 编辑运单
export function putWaybill(parameter) {
  return request({
    url: '/api/waybill',
    method: 'put',
    data: parameter
  })
}

// 删除运单
export function delWaybill(parameter) {
  return request({
    url: '/api/waybill',
    method: 'delete',
    data: parameter
  })
}

// 派单
export function waybillDelivery(parameter) {
  return request({
    url: '/api/waybill/delivery',
    method: 'post',
    data: parameter
  })
}

// 批量导入运单
export function waybillImport(parameter) {
  return request({
    url: '/api/waybill/import',
    method: 'post',
    data: parameter,
    uploading: true,
    timeout: 100000, // 请求超时时间
    headers: {
      'Content-Type': 'multipart-formData'
    },
  })
}

// 导出运单模板
export function exportTemplate(parameter) {
  return request({
    url: '/api/waybill/export-template',
    method: 'get',
    responseType: 'blob',
    params: parameter
  })
}

// 导出温湿度pdf
export function getWaybillHome(parameter) {
  return request({
    url: '/api/waybill/home',
    method: 'get',
    params: parameter
  })
}

// 导出温湿度pdf
export function getTemperature(parameter) {
  return request({
    url: '/api/waybill/temperature-pdf',
    method: 'get',
    responseType: 'blob',
    params: parameter
  })
}
